<?php 

header('Access-Control-Allow-Origin: *');

//Iniciando a sessão:
if (session_status() !== PHP_SESSION_ACTIVE) {
  session_start();
  $_SESSION['ativo'] = 0;
}
/* ------------------------------- */
/*    Recebe o parametro Global    */
/* ------------------------------- */
    $parametro = $_POST['POST_paramentro'];
    
if($parametro == "LOG"){
    $user = $_REQUEST['user'];
    $senha = $_REQUEST['senha'];
    
    $response = login($user,$senha);

    echo json_encode($response);
}
if($parametro == "PED"){
    $user = $_REQUEST['id_user'];
    
    $response[0] = pedidos($user);
    $response[1] = itens($user);

    echo json_encode($response);
}
if($parametro == "ENV"){
    $user = $_REQUEST['id_user'];
    
    $_pedido  = $_POST['pedido'];
	$_analise = $_POST['analise'];

    $response  = atualizar_pedido($_pedido);
    $response1 = atualizar_analise($_analise);

    echo json_encode($response);
}

function conectDB(){
    $db = mysqli_connect("localhost", "root", "", "unidos_sistema") or die("Erro ao selecionar banco");
    mysqli_set_charset($db,"utf8");
    return $db;
}

function login($user,$senha) {
    
    $db = conectDB();
    
    $sql     = "SELECT * FROM uni_usuarios WHERE nome = '$user' AND senha = '$senha'";
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    $resp    = mysqli_fetch_array($result);
    
    if($n > 0){
        return $resp;
    }else{
        return 0;
    }
}

function pedidos($iduser){
    $db = conectDB();
    
   // $sql     = "SELECT * FROM `uni_pedidos` WHERE usuario = '$iduser' AND status = 'SEPARAÇÃO'";
    $sql     = "SELECT *
                    ,(
                        SELECT Count(B.pedido_cod)
                        FROM uni_analise AS B
                        WHERE A.id = B.pedido_cod
                        ) AS QTD
                    ,(
                        SELECT C.nome
                        FROM uni_lojas AS C
                        WHERE A.loja = C.id
                        ) AS LOJ
                FROM uni_pedidos AS A WHERE usuario = '$iduser' AND status = 'SEPARAÇÃO' ORDER BY A.`id` DESC";
        
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    if($n > 0){
           for($i = 0; $i<$n ; $i++){
               $dados[] = mysqli_fetch_assoc($result);
           }
        return $dados;
    }else{
        return 0;
    }
}

function itens($iduser){
    $db = conectDB();
    
    $sql     = "SELECT a.`id`,a.`pedido_cod`,a.`prod_codigo`,a.`prod_desc`,a.`sugestao`,a.`separado` FROM `uni_analise` a INNER JOIN uni_pedidos p ON p.id=a.`pedido_cod` WHERE p.usuario = '$iduser' AND p.status = 'SEPARAÇÃO' ORDER BY a.`prod_codigo` ASC";
        
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    if($n > 0){
           for($i = 0; $i<$n ; $i++){
               $dados[] = mysqli_fetch_assoc($result);
           }
        return $dados;
    }else{
        return 0;
    }
}

// ##############################################  UPDATES ############################################

function atualizar_pedido($pedidos){
   $db = conectDB();
    
        $response = count($pedidos);
    
       for($i = 0; $i<$response ; $i++){
           $pd_id     = $pedidos[$i]['id'];
           $pd_status = $pedidos[$i]['status'];
    // EXECURÇÃO
           $sql     = "UPDATE `uni_pedidos` SET `status`= '$pd_status' WHERE id = $pd_id";
           $result  = mysqli_query($db,$sql);
       }
    
    return true;
}

function atualizar_analise($analise){
       $db = conectDB();
    
        $response = count($analise);
    
       for($i = 0; $i<$response ; $i++){
           $pd_id     = $analise[$i]['id'];
           $pd_cod    = $analise[$i]['pedido_cod'];
           $pd_separado    = $analise[$i]['separado'];
    // EXECURÇÃO
           $sql     = "UPDATE `uni_analise` SET `separado`= $pd_separado WHERE id = $pd_id AND pedido_cod = $pd_cod";
           $result  = mysqli_query($db,$sql);
       }
    
    return true;
}
